Package com.scriptel.proscript

## Class PeripheralConfiguration

- java.lang.Object
- - com.scriptel.proscript.PeripheralConfiguration

-     public class PeripheralConfiguration
      extends java.lang.Object

  This class represents peripheral parameters of a ScripTouch device.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `MAG_CARD_CONFIGURATION_KEYBOARD` | Mag strip configuration using device as a keyboard.
    `static int` | `MAG_CARD_CONFIGURATION_KEYBOARD_PREAMBLE` | Mag strip configuration using device as a keyboard.
    `static int` | `MAG_CARD_CONFIGURATION_OEM_EXTENDED` | Mag strip configuration using vender specific output.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PeripheralConfiguration()` | Default constructor which can be used to set the output configuration without first reading it.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getMagCardOutput()` | This method returns the output state of the mag strip reader as an integer.
    `void` | `setLoadFactorySettings()` | sets the load factory settings flag so that the device will reload all factory settings for output configuration
    `void` | `setMagCardOutput​(int magCardOutput)` | This method set the output state of the mag strip reader based off an integer.
    `void` | `setSaveAsDefault()` | sets the save as default flag so that the device will save the output configuration.
    `java.lang.String` | `toString()` | Prints this object as a human readable string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MAG_CARD_CONFIGURATION_OEM_EXTENDED

          public static final int MAG_CARD_CONFIGURATION_OEM_EXTENDED

      Mag strip configuration using vender specific output. ProScript mode.
      See Also:
        Constant Field Values

    - #### MAG_CARD_CONFIGURATION_KEYBOARD

          public static final int MAG_CARD_CONFIGURATION_KEYBOARD

      Mag strip configuration using device as a keyboard. No Preamble. EasyScript mode.
      See Also:
        Constant Field Values

    - #### MAG_CARD_CONFIGURATION_KEYBOARD_PREAMBLE

          public static final int MAG_CARD_CONFIGURATION_KEYBOARD_PREAMBLE

      Mag strip configuration using device as a keyboard. With Preamble. EasyScript mode.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PeripheralConfiguration

          public PeripheralConfiguration()

      Default constructor which can be used to set the output configuration without first reading it.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Prints this object as a human readable string.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Human readable string

    - #### getMagCardOutput

          public int getMagCardOutput()

      This method returns the output state of the mag strip reader as an integer.
      Returns:
        integer representation of the mag strip reader configuration

    - #### setMagCardOutput

          public void setMagCardOutput​(int magCardOutput)

      This method set the output state of the mag strip reader based off an integer.
      Parameters:
        `magCardOutput` - integer value that represents the mag strip reader configuration

    - #### setSaveAsDefault

          public void setSaveAsDefault()

      sets the save as default flag so that the device will save the output configuration.

    - #### setLoadFactorySettings

          public void setLoadFactorySettings()

      sets the load factory settings flag so that the device will reload all factory settings for output configuration